%define         state          stable
%define         orgname         perlkde
%define         qtver           4.8.0

# Conditional build:
%bcond_with	tests		# do not perform "make test"

%include	/usr/lib/rpm/macros.perl
Summary:	KDE4 - A Perl module interface to KDE4
Summary(pl.UTF-8):	KDE4 - interfejs Perla do KDE4
Name:		perl-KDE4
Version:	4.14.3
Release:	12
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://download.kde.org/%{state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	c94a719d680707dae5b35a9ebba1a9f0
URL:		http://www.kde.org/
# BuildRequires:	sonnet-devel
BuildRequires:	akonadi-devel
BuildRequires:	attica-devel
BuildRequires:	automoc4
BuildRequires:	kde4-kate-devel
BuildRequires:	kde4-kdepimlibs-devel
BuildRequires:	kde4-okular-devel
BuildRequires:	kde4-smokekde-devel >= %{version}
BuildRequires:	perl-Qt4-devel >= %{version}
BuildRequires:	soprano-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	perl(.*_internal)

%description
This module provides bindings to the KDE 4 libraries for Perl.

%description -l pl.UTF-8
Moduł dostarcza dowiązania do KDE4 4 dla Perla.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	-DCUSTOM_PERL_SITE_ARCH_DIR=%{perl_vendorarch} \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	kde_htmldir=%{_kdedocdir} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kperlpluginfactory.so
%{perl_vendorarch}/*.pm
%dir  %{perl_vendorarch}/auto/Akonadi
%dir  %{perl_vendorarch}/auto/Attica
%dir  %{perl_vendorarch}/auto/KDECore4
%dir  %{perl_vendorarch}/auto/KDEUi4
%dir  %{perl_vendorarch}/auto/KFile
%dir  %{perl_vendorarch}/auto/KHTML
%dir  %{perl_vendorarch}/auto/KIO4
%dir  %{perl_vendorarch}/auto/KNewStuff2
%dir  %{perl_vendorarch}/auto/KNewStuff3
%dir  %{perl_vendorarch}/auto/KParts
%dir  %{perl_vendorarch}/auto/KTextEditor
%dir  %{perl_vendorarch}/auto/KUtils
%dir  %{perl_vendorarch}/auto/Kate
%dir  %{perl_vendorarch}/auto/Nepomuk
%dir  %{perl_vendorarch}/auto/NepomukQuery
%dir  %{perl_vendorarch}/auto/Okular
%dir  %{perl_vendorarch}/auto/Plasma4
%dir  %{perl_vendorarch}/auto/Solid
%dir  %{perl_vendorarch}/auto/Soprano
%dir  %{perl_vendorarch}/auto/SopranoClient
%dir  %{perl_vendorarch}/auto/SopranoServer
%attr(755,root,root) %{perl_vendorarch}/auto/Akonadi/Akonadi.so
%attr(755,root,root) %{perl_vendorarch}/auto/Attica/Attica.so
%attr(755,root,root) %{perl_vendorarch}/auto/KDECore4/KDECore4.so
%attr(755,root,root) %{perl_vendorarch}/auto/KDEUi4/KDEUi4.so
%attr(755,root,root) %{perl_vendorarch}/auto/KFile/KFile.so
%attr(755,root,root) %{perl_vendorarch}/auto/KHTML/KHTML.so
%attr(755,root,root) %{perl_vendorarch}/auto/KIO4/KIO4.so
%attr(755,root,root) %{perl_vendorarch}/auto/KNewStuff2/KNewStuff2.so
%attr(755,root,root) %{perl_vendorarch}/auto/KNewStuff3/KNewStuff3.so
%attr(755,root,root) %{perl_vendorarch}/auto/KParts/KParts.so
%attr(755,root,root) %{perl_vendorarch}/auto/KTextEditor/KTextEditor.so
%attr(755,root,root) %{perl_vendorarch}/auto/KUtils/KUtils.so
%attr(755,root,root) %{perl_vendorarch}/auto/Kate/Kate.so
%attr(755,root,root) %{perl_vendorarch}/auto/Nepomuk/Nepomuk.so
%attr(755,root,root) %{perl_vendorarch}/auto/NepomukQuery/NepomukQuery.so
%attr(755,root,root) %{perl_vendorarch}/auto/Okular/Okular.so
%attr(755,root,root) %{perl_vendorarch}/auto/Plasma4/Plasma4.so
%attr(755,root,root) %{perl_vendorarch}/auto/Solid/Solid.so
%attr(755,root,root) %{perl_vendorarch}/auto/Soprano/Soprano.so
%attr(755,root,root) %{perl_vendorarch}/auto/SopranoClient/SopranoClient.so
%attr(755,root,root) %{perl_vendorarch}/auto/SopranoServer/SopranoServer.so
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-KDE4.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> e62a846
- rebuild with perl 5.30.0
- release 12 (by relup.sh)

* Sun Oct 06 2019 Jan Rękorajski <baggins@pld-linux.org> 3b80dd0
- udapte BRs
- rel 11

* Sun Oct 06 2019 Jan Rękorajski <baggins@pld-linux.org> 7bf085b
- release 10 (by relup.sh)

* Wed Sep 26 2018 Elan Ruusamäe <glen@pld-linux.org> af63990
- verbose files; avoid packaging perl system dirs

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> 5864386
- release 8 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 0ba4cd0
- perl req/prov fix
- release 7 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> df6589e
- rebuild with perl 5.26
- release 6 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> d4ca33a
- rebuild with perl 5.24.0
- release 5 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> bff1139
- release 4 (by relup.sh)

* Mon Apr 06 2015 Jan Rękorajski <baggins@pld-linux.org> 4560a7f
- x32 rebuild
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 7ab6ff1
- x32 rebuild
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 65de300
- updated md5sum

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> ad8c67c
- 4.14.3

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 1888577
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 50e28a9
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 9d34c04
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2b85a65
- updated to 4.13.1 (by update-kde4.sh)

* Mon May 12 2014 Witold Filipczyk <witekfl@poczta.onet.pl> a4365f6
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 577809b
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 78f2ede
- updated to 4.12.3 (by update-kde4.sh)

